/*
 * WOWslider jQuery plugin / v1
 * milad davoodabadi
 * http://ideaforchallenge.ir/
 * 
 * Copyright 2013
 */
 
(function($) {
	
	$.fn.wowslider = function(options) {
		var settings = {
			contorol: null,
			auto_timer:null,
		};
		
	var _this_ = this

	if ( options ) {
		$.extend( settings, options );
	}
	
	var _nameslide_ = $(_this_).attr('class');
		
	if(options.contorol != null){	
	
		$(options.contorol).append('<div id="next"><div>');
		$(options.contorol).append('<div id="back"><div>');
		
		
		$(options.contorol+' div#next').click(function(e) {
			$(this).css('opacity','0.5');
			$(_this_).find('ul li:first').slideUp('slow',function(){
				$(this).appendTo($(_this_).find('ul')).slideDown('fast',function(){
					$(options.contorol+' div#next').css('opacity','10')
				});
				
			});
			clearInterval(_nameslide_);
		});
		
		$(options.contorol+' div#back').click(function(e) {
			$(this).css('opacity','0.5');
			$(_this_).find('ul li:last').slideUp('fast',function(){
				$(this).prependTo($(_this_).find('ul')).slideDown('slow',function(){
					$(options.contorol+' div#back').css('opacity','10')
				});
			});
			clearInterval(_nameslide_);
		});
	
	}
	
	if(options.auto_timer !=null){
		_nameslide_ = setInterval(function(){
			$(_this_).find('ul li:first').slideUp('slow',function(){
				$(this).appendTo($(_this_).find('ul')).slideDown('fast');
			})
		},options.auto_timer);
	}
	

}
})( jQuery )